# $Id: hearse.cron.d,v 1.1 2002/05/22 21:08:38 roderick Exp $
#
# There's no harm in running hearse more often than once a day.  If it
# doesn't find any new bones files it doesn't even contact the server.
#
# The randomization here is to prevent the server from getting hammered
# at the top of each time zone's 3:00 hour.
#
# If you'd like to see what the server's doing, you can use --cron rather
# than --quiet.  This will cause it to output its status message, but
# only when it actually transfers a bones file.

0 3 * * * root test -f /usr/bin/hearse -a -s /etc/nethack/hearse.user-token || exit; perl -we 'sleep rand 3600'; hearse --quiet
